Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » MoDisco » Modisco installation
Modisco installation [message #687908] Thu, 23 June 2011 13:53 Go to next message
Romain Bernard is currently offline Romain Bernard
Messages: 12
Registered: July 2009
Junior Member
Hi...

I am trying to install modisco on eclipse 3.6 for hours and hours... and the nervous breakdown is closer and closer...

I had to give up the 0.9 version, since it requires com.ibm.icu.4.4.2... (Is it a really mandatory required dependency, or would it be possible to relax the constraint ?)

So I tried the 0.8.2, but there is always something missing or incompatible...

Did someone succeed in installing Modisco on a 3.6 eclipse ?
If yes, how ?
Re: Modisco installation [message #687965 is a reply to message #687908] Thu, 23 June 2011 15:22 Go to previous messageGo to next message
Fabien Giquel is currently offline Fabien Giquel
Messages: 138
Registered: July 2009
Senior Member
Hi Romain,

the fact is that MoDisco 0.9.0 has Eclipse 3.7 prerequisites.
0.8.2 works with Eclipse 3.6. But the update install may fail depending on other Eclipse components already installed in your Eclipse. What are the messages errors when you try from update site ?

A simple way to have MoDisco (0.8.2 or 0.9.0) is :
- download Eclipse Moddeling bundle (3.6.2 or 3.7.0)
- start it and open "Install Modeling Components" from the toolbar
- select MoDisco in the components

Find a complete install page : http://wiki.eclipse.org/MoDisco/Installation

Fabien Giquel.


----------------------------------------------------
Fabien GIQUEL
R&D Engineer
Mia-Software
4, rue du Ch√Ęteau de l'Eraudiere
44324 NANTES CEDEX 03
----------------------------------------------------
Re: Modisco installation [message #694309 is a reply to message #687965] Fri, 08 July 2011 10:08 Go to previous messageGo to next message
Romain Bernard is currently offline Romain Bernard
Messages: 12
Registered: July 2009
Junior Member
I finally succeeded in installing the 0.9 version on a fresh 3.7 eclipse version... but still failed on the 3.6...
Anyway, thank you for your answer...

I have now problems with discovering the commons-math last version (using last sources from the svn repository):
- a "java.lang.ClassCastException: org.eclipse.gmt.modisco.java.emf.impl.AnnotationTypeMemberDeclarationImpl cannot be cast to org.eclipse.gmt.modisco.java.AbstractMethodDeclaration"
- and a "java.lang.NullPointerException at org.eclipse.modisco.java.discoverer.internal.io.java.MethodRedefinitionManager.getRawSignature(MethodRedefinitionManager.java:108)" that terminates the discovery process...

I checked the option "LOG_JAVA_ANALYSIS_WARNINGS", but no log file is generated...
Is there another way to find out on which place the NullPointerException occurs (some kind of debug option ?) ?

Thanks for your help,
Regards
Re: Modisco installation [message #694433 is a reply to message #694309] Fri, 08 July 2011 15:16 Go to previous message
Nicolas Bros is currently offline Nicolas Bros
Messages: 49
Registered: July 2009
Member
Hi Romain,

I could reproduce the issue you describe.
I've filed a bug : https://bugs.eclipse.org/bugs/show_bug.cgi?id=351590
We will investigate this problem.

Quote:
Is there another way to find out on which place the NullPointerException occurs (some kind of debug option ?) ?

You can see the stacktrace by double-clicking on the error message in the Error Log view in Eclipse, or in "<workspace>/.metadata/.log"

[Updated on: Fri, 08 July 2011 15:29]

Report message to a moderator

Previous Topic:Infinite (?) execution when trying to discover KDM code model from ADempiere
Next Topic:Query Manager
Goto Forum:
  


Current Time: Wed Oct 01 18:23:48 GMT 2014

Powered by FUDForum. Page generated in 0.02026 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software